%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Summary:	yara - find files matching patterns and rules written in a special-purpose language

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		yara
Version:	3.3.0
Release:	1%{?dist}
URL:		http://plusvic.github.io/yara/

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz
%if 0%{?centos} == 5
Patch2:		%{name}-%{version}-patch-002
%endif

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	pcre /usr/bin/aclocal libtool
Requires:	pcre

%description
Yara scans the given FILE or the process indentified by PID looking if
it matches the patterns and rules provided in a special purpose-lan‐
guage. The rules are read from RULEFILEs or standard input.

%prep
%setup 
%if 0%{?centos} == 5
%patch2 -p1
%endif

%build
%if 0%{?centos} == 5
mkdir m4 libyara/m4
%endif
sh bootstrap.sh
%configure
%{__make}

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc README.md AUTHORS COPYING 
%attr(0755, root, root)	%{_bindir}/%{name}
%attr(0755, root, root)	%{_bindir}/%{name}c
%attr(0644, root, root)	%{_includedir}/%{name}.h
%attr(0644, root, root)	%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}*
%attr(0644, root, root)	%{_mandir}/man1/%{name}.1.gz
%attr(0644, root, root)	%{_mandir}/man1/%{name}c.1.gz
%attr(0644, root, root)	%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Feb 10 2015 Lawrence R. Rogers <lrr@cert.org> 3.3.0-1
* Release 3.3.0-1
	Added support for negative integers and floating point numbers
	Implemented operators >,<, >=, <= for strings
	Implemented word boundary anchors (\b, \B) in regular expressions
	New features in PE module
	Math module
	New --print-namespace command line argument
	Better error handling in low memory conditions
	BUGFIX: "at" operator not working with certain strings containing wildcards
	BUGFIX: precedence of bitwise operators was incorrect
	BUGFIX: incorrect imphash result for certain PE files importing functions by ordinal
	BUGFIX: handle and memory leaks
	BUGFIX: multiple segfaults

* Mon Mar 03 2014 Lawrence R. Rogers <lrr@cert.org> 2.1.0-1
* Release 2.1.0-1
	* Improve regexp engine
	* Improve multithreading support
	* Case-insensitive and single-line matching modes for "matches" operator's regexps
	* Added "error_on_warning" argument to "match" in yara-python
	* Recognize x64 PE files
	* BUGFIX: Mutex handle leak
	* BUGFIX: NULL pointer dereferences
	* BUGFIX: Buffer overflow
	* BUGFIX: Crash while using compiled rules with yara64 in Windows
	* BUGFIX: Infinite loop while scanning 64bits process in Windows
	* BUGFIX: Side-effect on "externals" argument in yara-python's "match" function
	* BUGFIX: "x of them" not working with strings containing unbounded jumps

* Thu Jan 16 2014 Lawrence R. Rogers <lrr@cert.org> 2.0.0-1
* Release 2.0.0-1
	Faster
	Better multi-thread support
	Rules can be saved in binary form

* Mon Dec 02 2013 Lawrence R. Rogers <lrr@cert.org> 1.7.2-1
* Release 1.7.2-1
	* BUGFIX: Regular expressions marked as both "wide" and "ascii" were treated as just "wide"
	* BUGFIX: Bug in "n of (<string_set>)" operator
	* BUGFIX: Bug in get_process_memory could cause infinite loop

* Fri Oct 25 2013 Lawrence R. Rogers <lrr@cert.org> 1.7.1-1
* Release 1.7.1-1
	* BUGFIX: Fix SIGABORT in ARM
	* BUGFIX: Failing to detect one-byte strings at the end of a file.
	* BUGFIX: Strings being incorrectly printed when markes both as wide and ascii
	* BUGFIX: Stack overflow while following circular symlinks
	* BUGFIX: Expression "/re/ matches var" always matching if "var" was an empty string
	* BUGFIX: Strings marked as "fullword" were incorrectly matching in some cases

* Fri Mar 29 2013 Lawrence R. Rogers <lrr@cert.org> 1.7-1
* Release 1.7-1
	* faster compilation
	* added suport for modulus (%) and bitwise xor (|) operators
	* better hashing of regular expressions
	* BUGFIX: yara-python segfault when using dir() on Rules and Match classes
	* BUGFIX: Integer overflow causing infinite loop
	* BUGFIX: Handling strings containing \x00 characters correctly
	* BUGFIX: Regular expressions not matching at the end of the file when compiled with RE2
	* BUGFIX: Memory leaks
	* BUGFIX: File handle leaks

* Fri Apr 8 2011 Lawrence R. Rogers <lrr@cert.org> 1.6-1
* Release 1.6-1
	* added support for bitwise operators
	* added support for multi-line hex strings
	* scan speed improvement for regular expressions (with PCRE)
	* yara-python ported to Python 3.x
	* yara-python support for 64-bits Python under Windows
	* BUGFIX: Buffer overflow in error printing

* Tue Mar 22 2011 Lawrence R. Rogers <lrr@cert.org> 1.5-1
* Release 1.5-1
	* added -l parameter to abort scanning after a number of matches
	* added support for scanning processes memory
	* entrypoint now works with ELF as well as PE files
	* added support for linking with the faster RE2 library (http://code.google.com/p/re2/) instead of PCRE
	* implemented index operator to access offsets where string was found (@string[i])
	* implemented new operator "for <quantifier> <variable> in <set or range> : (<expression>)"
	* BUGFIX: Memory leaks in yara-python
	* BUGFIX: yara.compile namespaces not working with filesources

* Thu May 13 2010 Lawrence R. Rogers <lrr@cert.org> 1.4-1
* Release 1.4-1
	* added external variables
	* scan speed improvements
	* added fast scan mode
	* BUGFIX: crash in 64-bits Windows

* Mon Oct 26 2009 Lawrence R. Rogers <lrr@cert.org> 1.3-1
* Release 1.3-1
	* added a C-like "include" directive
	* added support for multi-sources compilation in yara-python
	* added support for metadata declaration in rules
	* BUGFIX: Incorrect handling of single-line comments at the end of the file
	* BUGFIX: Integer underflow when scanning files of size <= 2 bytes

* Tue Apr 14 2009 Lawrence R. Rogers <lrr@cert.org> 1.2.1-1
* Release 1.2.1-1
	* libyara: added support for compiling rules directly from memory
	* libyara: interface refactored
	* libyara: is thread-safe now
	* BUGFIX: Invoking pcre_compile with non-terminated string
	* BUGFIX: Underscore (_) not recognized in string identifiers
	* BUGFIX: Memory leak
	* BUGFIX: Access violation on xxcompare functions

* Tue Jan 13 2009 Lawrence R. Rogers <lrr@cert.org> 1.2-1
* Release 1.2-1
	* added support for global rules
	* added support for declaring alternative sub-strings in hex strings
	* added support for anonymous strings
	* added support for intXX and uintXX functions
	* operator "of" was enhanced
	* implemented new operator "for..of"
	* "widechar" is now "wide" and can be used in conjuntion with "ascii"
	* improved syntax error reporting in yara-python
	* "compile" method in yara-python was enhanced
	* "matchfile" method in yara-python was substituted by "match"
	* some performance improvements	
	* BUGFIX: Wrong behavior of escaped characters in regular expressions
	* BUGFIX: Fatal error in yara-python when invoking matchfile with invalid path twice
	* BUGFIX: Wrong precedence of OR and AND operators
	* BUGFIX: Access violation when scanning MZ files with e_lfanew == -1
	* BUGFIX: Incorrect handling of hex strings in lexer

* Mon Jan 5 2009 Lawrence R. Rogers <lrr@cert.org> 1.1-1
* Release 1.1-1
	* added support for strings containing null (\x00) chars
	* added syntactic construct "x of them" 	
	* regular expressions syntax changed
	* now regular expressions can begin with any character

* Wed Sep 24 2008 Lawrence R. Rogers <lrr@cert.org> 1.0-1
* Release 1.0-1
	* first release
	

